aboutsummaryrefslogtreecommitdiffstats
path: root/main/vte/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/vte/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/vte/APKBUILD')
-rw-r--r--main/vte/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/main/vte/APKBUILD b/main/vte/APKBUILD
new file mode 100644
index 0000000000..cae2d80b57
--- /dev/null
+++ b/main/vte/APKBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=vte
+pkgver=0.22.5
+pkgrel=0
+pkgdesc="Virtual Terminal Emulator library"
+url="http://www.gnome.org"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig gtk+-dev intltool python ncurses-dev"
+source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2"
+
+depends_dev="glib-dev pango-dev gtk+-dev"
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib/vte \
+ --localstatedir=/var \
+ --disable-static \
+ || return 1
+ make
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="cbb17696e40ee175977bf165ef838da2 vte-0.22.5.tar.bz2"